Warsaw no Mint - erro application/x-debian-package

1. Warsaw no Mint - erro application/x-debian-package

Rose Anjos
roseanjos

(usa Linux Mint)

Enviado em 15/04/2018 - 09:39h

Estou tentando instalar o Warsaw para acessar o Itau e quando tento a instalação, o erro aparece. Diz que deu problema de MIME por causa do application/x-debian-package. Já tentei esses procedimentos http://www.edivaldobrito.com.br/modulo-de-seguranca-do-banco-itau-no-linux/ e não adianta. Sempre mostra esse erro.

Alguém conseguiu a solução e poderia me ajudar?


  


2. Re: Warsaw no Mint - erro application/x-debian-package

Alcides Gomes
OVERLAND

(usa Lubuntu)

Enviado em 15/04/2018 - 11:19h

roseanjos escreveu:

Estou tentando instalar o Warsaw para acessar o Itau e quando tento a instalação, o erro aparece. Diz que deu problema de MIME por causa do application/x-debian-package. Já tentei esses procedimentos http://www.edivaldobrito.com.br/modulo-de-seguranca-do-banco-itau-no-linux/ e não adianta. Sempre mostra esse erro.

Alguém conseguiu a solução e poderia me ajudar?


Sim, mas primeiro coloque a versão do sistema, a versão do firefox e versão do chrome.

Overland


3. Re: Warsaw no Mint - erro application/x-debian-package

Alcides Gomes
OVERLAND

(usa Lubuntu)

Enviado em 15/04/2018 - 12:58h

Para facilitar já segue um tutorial aplicado ao Mint 18.2 (64 bits) que funcionou perfeitamente

1. Baixar e instalar o navegador chrome, caso não tenha.

2. Baixar o Warsaw do endereço - https://cloud.gastecnologia.com.br/cef/warsaw/install/GBPCEFwr64.deb - versão 1.12.5.1 - compatível com CEF, BB e Itaú

3. Abrir o terminal e remover qualquer versão anteriormente instalada com o comando.
sudo apt-get purge warsaw

4. No terminal verificar se o firewall está ativado
sudo ufw status 
Resultado:
ativo - siga para o para o item 5.
inativo - não recomendável um sistema com firewall desligado. ative com o comando
sudo ufw enable

5. Abrir o arquivo /etc/ufw/sysctl.conf como administrador.
sudo xxxxx /etc/ufw/sysctl.conf
substituir xxxxx por kedit, gedit, pluma, xed, mousepad, etc.(editor de texto) conforme sua distribuição. No arquivo, localizar a linha contendo o parâmetro: - net/ipv4/tcp_syncookies=0 modificar o parâmetro para net/ipv4/tcp_syncookies=1

6. Reiniciar o computador e não abrir qualquer navegador.

7. Abrir o terminal e instalar a dependência.
sudo apt-get install libnss3-tools

8. Ainda no terminal acessar a pasta onde foi baixada o arquivo do warsaw. Pressupondo que foi na pasta Downloads
cd Downloads
e logo após
sudo dpkg -i GBPCEFwr64.deb
e aguardar o termino da instalação.

9. verificações:
A) a instalação do warsaw com o comando;
 ps -ef | grep warsaw
a saída correta indica o warsaw/core rodando como root e como o usuário do computador tipo:

root 1022 1 0 10:16 ? 00:00:03 /usr/local/bin/warsaw/core
usuario 1516 1 0 10:17 ? 00:00:16 /usr/local/bin/warsaw/core


B) abrir o navegador chrome e no endereço: chrome://settings/certificates acessar a aba autoridades e procurar por Warsaw Personal CA. Se não estiver presente. repita os passos 3, 6 8 e 9.

10. Acesse a página do Itau, insira o numero de agencia e conta - vai aparecer o nome do correntista e na parte inferior a msg guardiao itau instalado. Esta configurado o acesso para o banco itau


11. Para configurar o acesso pelo firefox. (versão 58 em diante o certificado não é injetado automaticamente pelo Warsaw.)

A) abrir o navegador chrome e no endereço: chrome://settings/certificates acessar a aba autoridades e procurar por Warsaw Personal CA. Escolha exportar e salve o certificado na pasta de sua preferência.
B) abra o navegador firefox e vá ao endereço: about:preferences#privacy opção ver certificados, escolha importar e aponte para o certificado anteriormente exportado. Marque os campos para confiar.

Overland



4. Re: Warsaw no Mint - erro application/x-debian-package

Fábio Farias
Fabio_Farias

(usa openSUSE)

Enviado em 16/04/2018 - 10:35h

No meu caso faltavam algumas dependências que depois de instaladas eu consegui instalar normalmente o warsaw. Qual a mensagem de erro que aparece?


5. Re: Warsaw no Mint - erro application/x-debian-package

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 16/04/2018 - 10:41h

Baixei aplicativo no smartphone e parei esquentar cabeça com gambiarras.


6. Re: Warsaw no Mint - erro application/x-debian-package

Rose Anjos
roseanjos

(usa Linux Mint)

Enviado em 16/04/2018 - 11:21h

OVERLAND escreveu:

roseanjos escreveu:

Estou tentando instalar o Warsaw para acessar o Itau e quando tento a instalação, o erro aparece. Diz que deu problema de MIME por causa do application/x-debian-package. Já tentei esses procedimentos http://www.edivaldobrito.com.br/modulo-de-seguranca-do-banco-itau-no-linux/ e não adianta. Sempre mostra esse erro.

Alguém conseguiu a solução e poderia me ajudar?


Sim, mas primeiro coloque a versão do sistema, a versão do firefox e versão do chrome.

Overland


Versão Firefox 59.0.2(64bit)
Linux Mint 18.3
Não uso o Chrome


7. Re: Warsaw no Mint - erro application/x-debian-package

Rose Anjos
roseanjos

(usa Linux Mint)

Enviado em 16/04/2018 - 11:25h

Fabio_Farias escreveu:

No meu caso faltavam algumas dependências que depois de instaladas eu consegui instalar normalmente o warsaw. Qual a mensagem de erro que aparece?


A mensagem é "Warsaw_setup_64.deb não é um pacote Debian"
O tipo MIME desse arquivo é application/x-debian-package e não pode ser instalado nesse sistema.


8. Re: Warsaw no Mint - erro application/x-debian-package

Fábio Farias
Fabio_Farias

(usa openSUSE)

Enviado em 16/04/2018 - 11:44h

Tente usar o instalador genérico do warsaw. Nesse link https://seg.bb.com.br/outro-sistema.html do Banco do Brasil (que também precisa do warsaw para acessar) é disponibilizado um executável com a extensão .run.

Use essas instruções para instalar https://seg.bb.com.br/passo-a-passo.html?system=Linux

Eu sigo esses passos no openSUSE (que usa pacotes rpm) e funciona.

Observação: uma vez precisei instalar o warsaw disponível no Banco do Brasil para fazer o site da Caixa Econômica funcionar no Windows pois o warsaw do site da Caixa também não funcionava.


9. Re: Warsaw no Mint - erro application/x-debian-package

Alcides Gomes
OVERLAND

(usa Lubuntu)

Enviado em 16/04/2018 - 13:00h

roseanjos escreveu:
.....
Versão Firefox 59.0.2(64bit)
Linux Mint 18.3
Não uso o Chrome


É essencial instalar o chrome. O Firefox versão igual ou superior a 58 não aceita a injeção do certificado através da instalação do warsaw. Siga os passos da resposta 3.

Overland


10. Re: Warsaw no Mint - erro application/x-debian-package

Fábio Farias
Fabio_Farias

(usa openSUSE)

Enviado em 16/04/2018 - 15:35h

OVERLAND escreveu:

roseanjos escreveu:
.....
Versão Firefox 59.0.2(64bit)
Linux Mint 18.3
Não uso o Chrome


É essencial instalar o chrome. O Firefox versão igual ou superior a 58 não aceita a injeção do certificado através da instalação do warsaw. Siga os passos da resposta 3.

Overland


Não é essencial não. Estou usando o FIrefox Quantum 59.0.2 no openSUSE Leap 42.3 e o warsaw funciona normalmente.




11. Re: Warsaw no Mint - erro application/x-debian-package

Fábio Farias
Fabio_Farias

(usa openSUSE)

Enviado em 16/04/2018 - 15:38h

Rose

Fiz um vídeo rápido (sem som pois não tenho microfone no computador) para lhe mostrar o processo que faço no openSUSE para instalar o warsaw usando o pacote diagbb-1.0.64.run disponibilizado pelo Banco do Brasil.

Segue o vídeo:



12. Re: Warsaw no Mint - erro application/x-debian-package

Alcides Gomes
OVERLAND

(usa Lubuntu)

Enviado em 18/04/2018 - 12:21h


Não é essencial não. Estou usando o FIrefox Quantum 59.0.2 no openSUSE Leap 42.3 e o warsaw funciona normalmente.


Em nenhum momento afirmei que o warsaw não funciona com o Firefox 58 ou 59. Afirmei que o instalador do Warsaw não injeta o certificado "Warsaw Personal CA" nas versões 58 ou 59 do firefox. A injeção terá de ocorrer de forma manual. A unica maneira que conheço é realizar a importação do certificado instalado em outro navegador, no caso o chrome. Isto está explicito no item 11 da resposta 3
....................
11. Para configurar o acesso pelo firefox. (versão 58 em diante o certificado não é injetado automaticamente pelo Warsaw.)

A) abrir o navegador chrome e no endereço: chrome://settings/certificates acessar a aba autoridades e procurar por Warsaw Personal CA. Escolha exportar e salve o certificado na pasta de sua preferência.
B) abra o navegador firefox e vá ao endereço: about:preferences#privacy opção ver certificados, escolha importar e aponte para o certificado anteriormente exportado. Marque os campos para confiar.
............

O tutorial da resposta 3 já foi testado no Mint 18.2 e certamente vai funcionar no Mint 18.3.

Overland



01 02



Patrocínio

Site hospedado pelo provedor HostGator.
Linux banner
Linux banner
Linux banner

Artigos

Dicas

Viva o Android

Tópicos

Top 10 do mês

Scripts